### Struct

# GLib LogField

since: 2.50

#### Description

    struct GLogField {
      const gchar* key;
      gconstpointer value;
      gssize length;
    }

Structure representing a single field in a structured log entry. See `g_log_structured()` for details.

Log fields may contain arbitrary values, including binary with embedded nul bytes. If the field contains a string, the string must be UTF-8 encoded and have a trailing nul byte. Otherwise, `length` must be set to a non-negative value.

###### Structure members

`key`

  Field name (UTF-8 string).

`value`

  Field value (arbitrary bytes).

`length`

  Length of `value`, in bytes, or -1 if it is nul-terminated.

Available since: 2.50